{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "--link",
                "drill:drill",
                "-v",
                "$(inputs.working_directory):/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "vemonet/autor2rml:bio2rdf5",
                "-r",
                "-o",
                "/tmp/mapping.trig",
                "-d",
                "/data/input/$(inputs.dataset)"
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.working_directory)",
                            "envName": "HOME"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-c"
                    },
                    "id": "#autor2rml.cwl/autor2rml_column_header"
                },
                {
                    "type": "string",
                    "id": "#autor2rml.cwl/dataset"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-j"
                    },
                    "id": "#autor2rml.cwl/input_data_jdbc"
                },
                {
                    "type": "string",
                    "default": "https://w3id.org/data2services/",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-b"
                    },
                    "id": "#autor2rml.cwl/sparql_base_uri"
                },
                {
                    "type": "string",
                    "default": "https://w3id.org/data2services/graph/autor2rml",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-g"
                    },
                    "id": "#autor2rml.cwl/sparql_tmp_graph_uri"
                },
                {
                    "type": "string",
                    "id": "#autor2rml.cwl/working_directory"
                }
            ],
            "id": "#autor2rml.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "mapping.trig"
                    },
                    "id": "#autor2rml.cwl/r2rml_trig_file_output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "-v",
                "$(inputs.working_directory)/input:/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "umids/d2s-download",
                "--download-datasets",
                "$(inputs.dataset)"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#d2s-download.cwl/dataset"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--password"
                    },
                    "id": "#d2s-download.cwl/download_password"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--username"
                    },
                    "id": "#d2s-download.cwl/download_username"
                },
                {
                    "type": "string",
                    "id": "#d2s-download.cwl/working_directory"
                }
            ],
            "stdout": "download-dataset.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#d2s-download.cwl/download_dataset_logs",
                    "outputBinding": {
                        "glob": "download-dataset.txt"
                    }
                }
            ],
            "id": "#d2s-download.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "--link",
                "graphdb:graphdb",
                "-v",
                "$(inputs.working_directory):/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "aammar/data2services-sparql-operations"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#execute-sparql-mapping-graphdb.cwl/dataset"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--var-inputGraph"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_input_graph_uri"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--var-outputGraph"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_output_graph_uri"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-pw"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_password"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-f"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_queries_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--var-serviceUrl"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_service_url"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-rep"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_triplestore_repository"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-ep"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_triplestore_url"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-un"
                    },
                    "id": "#execute-sparql-mapping-graphdb.cwl/sparql_username"
                },
                {
                    "type": "string",
                    "id": "#execute-sparql-mapping-graphdb.cwl/working_directory"
                }
            ],
            "stdout": "execute-sparql-query-logs.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#execute-sparql-mapping-graphdb.cwl/execute_sparql_query_logs",
                    "outputBinding": {
                        "glob": "execute-sparql-query-logs.txt"
                    }
                }
            ],
            "id": "#execute-sparql-mapping-graphdb.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": "echo",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "arguments": [
                "connectionURL = $(inputs.input_data_jdbc)\nmappingFile = /tmp/$(inputs.r2rml_trig_file.basename)\noutputFile = /tmp/rdf_output.nq\nformat = NQUADS",
                ">",
                "config.properties"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#generate-r2rml-config.cwl/dataset"
                },
                {
                    "type": "string",
                    "id": "#generate-r2rml-config.cwl/input_data_jdbc"
                },
                {
                    "type": "File",
                    "id": "#generate-r2rml-config.cwl/r2rml_trig_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "config.properties"
                    },
                    "id": "#generate-r2rml-config.cwl/r2rml_config_file_output"
                }
            ],
            "id": "#generate-r2rml-config.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "--link",
                "graphdb:graphdb",
                "-v",
                "$(inputs.working_directory):/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "-v",
                "$(inputs.nquads_file.path):/tmp/$(inputs.nquads_file.basename)",
                "vemonet/rdf-upload:bio2rdf5",
                "-if",
                "/tmp/$(inputs.nquads_file.basename)"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#rdf-upload-graphdb.cwl/dataset"
                },
                {
                    "type": "File",
                    "id": "#rdf-upload-graphdb.cwl/nquads_file"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-rep"
                    },
                    "id": "#rdf-upload-graphdb.cwl/sparql_triplestore_repository"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-url"
                    },
                    "id": "#rdf-upload-graphdb.cwl/sparql_triplestore_url"
                },
                {
                    "type": "string",
                    "id": "#rdf-upload-graphdb.cwl/working_directory"
                }
            ],
            "stdout": "rdf-upload.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#rdf-upload-graphdb.cwl/rdf_upload_logs",
                    "outputBinding": {
                        "glob": "rdf-upload.txt"
                    }
                }
            ],
            "id": "#rdf-upload-graphdb.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "--link",
                "drill:drill",
                "-v",
                "$(inputs.working_directory):/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "-v",
                "$(inputs.r2rml_config_file.path):/tmp/$(inputs.r2rml_config_file.basename)",
                "-v",
                "$(inputs.r2rml_trig_file.path):/tmp/$(inputs.r2rml_trig_file.basename)",
                "vemonet/r2rml:bio2rdf5",
                "/tmp/$(inputs.r2rml_config_file.basename)"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#run-r2rml.cwl/dataset"
                },
                {
                    "type": "File",
                    "id": "#run-r2rml.cwl/r2rml_config_file"
                },
                {
                    "type": "File",
                    "id": "#run-r2rml.cwl/r2rml_trig_file"
                },
                {
                    "type": "string",
                    "id": "#run-r2rml.cwl/working_directory"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "rdf_output.nq"
                    },
                    "id": "#run-r2rml.cwl/nquads_file_output"
                }
            ],
            "id": "#run-r2rml.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Data2Services CWL workflow, Ammar Ammar <ammar257ammar@gmail.com>",
            "baseCommand": [
                "docker",
                "run"
            ],
            "arguments": [
                "--rm",
                "--link",
                "graphdb:graphdb",
                "-v",
                "$(inputs.working_directory):/data",
                "-v",
                "$(runtime.outdir):/tmp",
                "aammar/data2services-sparql-operations",
                "-op",
                "split",
                "--split-delete"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#run-split-graphdb.cwl/dataset"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-pw"
                    },
                    "id": "#run-split-graphdb.cwl/sparql_password"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-rep"
                    },
                    "id": "#run-split-graphdb.cwl/sparql_triplestore_repository"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-ep"
                    },
                    "id": "#run-split-graphdb.cwl/sparql_triplestore_url"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-un"
                    },
                    "id": "#run-split-graphdb.cwl/sparql_username"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--split-class"
                    },
                    "id": "#run-split-graphdb.cwl/split_class"
                },
                {
                    "type": "string",
                    "default": ",",
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--split-delimiter"
                    },
                    "id": "#run-split-graphdb.cwl/split_delimiter"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--split-property"
                    },
                    "id": "#run-split-graphdb.cwl/split_property"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--split-quote"
                    },
                    "id": "#run-split-graphdb.cwl/split_quote"
                },
                {
                    "type": "string",
                    "id": "#run-split-graphdb.cwl/working_directory"
                }
            ],
            "stdout": "execute-split-logs.txt",
            "outputs": [
                {
                    "type": "File",
                    "id": "#run-split-graphdb.cwl/execute_split_logs",
                    "outputBinding": {
                        "glob": "execute-split-logs.txt"
                    }
                }
            ],
            "id": "#run-split-graphdb.cwl"
        },
        {
            "class": "Workflow",
            "label": "Data2Services CWL workflow to convert CSV/TSV files with statements split, Vincent Emonet <vincent.emonet@gmail.com>",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/dataset"
                },
                {
                    "type": "string",
                    "id": "#main/input_data_jdbc"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_base_uri"
                },
                {
                    "type": "string",
                    "default": "https://github.com/MaastrichtU-IDS/data2services-transform-repository/tree/master/sparql/compute-hcls-stats",
                    "id": "#main/sparql_compute_hcls_path"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_input_graph_uri"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_insert_metadata_path"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_tmp_graph_uri"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_transform_queries_path"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_triplestore_repository"
                },
                {
                    "type": "string",
                    "id": "#main/sparql_triplestore_url"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_0"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_1"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_10"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_11"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_12"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_13"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_14"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_15"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_16"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_17"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_18"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_19"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_2"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_20"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_21"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_22"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_23"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_24"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_25"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_26"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_27"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_28"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_29"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_3"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_30"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_31"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_32"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_33"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_34"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_35"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_36"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_37"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_38"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_39"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_4"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_40"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_41"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_42"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_43"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_44"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_5"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_6"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_7"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_8"
                },
                {
                    "type": "string",
                    "id": "#main/split_class_9"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_0"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_1"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_10"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_11"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_12"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_13"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_14"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_15"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_16"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_17"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_18"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_19"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_2"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_20"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_21"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_22"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_23"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_24"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_25"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_26"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_27"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_28"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_29"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_3"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_30"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_31"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_32"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_33"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_34"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_35"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_36"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_37"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_38"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_39"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_4"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_40"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_41"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_42"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_43"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_44"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_5"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_6"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_7"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_8"
                },
                {
                    "type": "string",
                    "id": "#main/split_delimiter_9"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_0"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_1"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_10"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_11"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_12"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_13"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_14"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_15"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_16"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_17"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_18"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_19"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_2"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_20"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_21"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_22"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_23"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_24"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_25"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_26"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_27"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_28"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_29"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_3"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_30"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_31"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_32"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_33"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_34"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_35"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_36"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_37"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_38"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_39"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_4"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_40"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_41"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_42"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_43"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_44"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_5"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_6"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_7"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_8"
                },
                {
                    "type": "string",
                    "id": "#main/split_property_9"
                },
                {
                    "type": "string",
                    "id": "#main/working_directory"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/step1-d2s-download/download_dataset_logs",
                    "id": "#main/download_dataset_logs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step6-insert-metadata/execute_sparql_query_logs",
                    "id": "#main/execute_sparql_metadata_logs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step8-execute-transform-queries/execute_sparql_query_logs",
                    "id": "#main/execute_sparql_transform_logs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step700-split/execute_split_logs",
                    "id": "#main/execute_split_logs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step4-r2rml/nquads_file_output",
                    "id": "#main/nquads_file_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step3-generate-r2rml-config/r2rml_config_file_output",
                    "id": "#main/r2rml_config_file_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step2-autor2rml/r2rml_trig_file_output",
                    "id": "#main/r2rml_trig_file_output"
                },
                {
                    "type": "File",
                    "outputSource": "#main/step5-rdf-upload/rdf_upload_logs",
                    "id": "#main/rdf_upload_logs"
                }
            ],
            "steps": [
                {
                    "run": "#d2s-download.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step1-d2s-download/dataset"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step1-d2s-download/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step1-d2s-download/download_dataset_logs"
                    ],
                    "id": "#main/step1-d2s-download"
                },
                {
                    "run": "#autor2rml.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step2-autor2rml/dataset"
                        },
                        {
                            "source": "#main/input_data_jdbc",
                            "id": "#main/step2-autor2rml/input_data_jdbc"
                        },
                        {
                            "source": "#main/step1-d2s-download/download_dataset_logs",
                            "id": "#main/step2-autor2rml/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_base_uri",
                            "id": "#main/step2-autor2rml/sparql_base_uri"
                        },
                        {
                            "source": "#main/sparql_tmp_graph_uri",
                            "id": "#main/step2-autor2rml/sparql_tmp_graph_uri"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step2-autor2rml/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step2-autor2rml/r2rml_trig_file_output"
                    ],
                    "id": "#main/step2-autor2rml"
                },
                {
                    "run": "#generate-r2rml-config.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step3-generate-r2rml-config/dataset"
                        },
                        {
                            "source": "#main/input_data_jdbc",
                            "id": "#main/step3-generate-r2rml-config/input_data_jdbc"
                        },
                        {
                            "source": "#main/step2-autor2rml/r2rml_trig_file_output",
                            "id": "#main/step3-generate-r2rml-config/r2rml_trig_file"
                        }
                    ],
                    "out": [
                        "#main/step3-generate-r2rml-config/r2rml_config_file_output"
                    ],
                    "id": "#main/step3-generate-r2rml-config"
                },
                {
                    "run": "#run-r2rml.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step4-r2rml/dataset"
                        },
                        {
                            "source": "#main/step3-generate-r2rml-config/r2rml_config_file_output",
                            "id": "#main/step4-r2rml/r2rml_config_file"
                        },
                        {
                            "source": "#main/step2-autor2rml/r2rml_trig_file_output",
                            "id": "#main/step4-r2rml/r2rml_trig_file"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step4-r2rml/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step4-r2rml/nquads_file_output"
                    ],
                    "id": "#main/step4-r2rml"
                },
                {
                    "run": "#rdf-upload-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step5-rdf-upload/dataset"
                        },
                        {
                            "source": "#main/step4-r2rml/nquads_file_output",
                            "id": "#main/step5-rdf-upload/nquads_file"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step5-rdf-upload/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step5-rdf-upload/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step5-rdf-upload/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step5-rdf-upload/rdf_upload_logs"
                    ],
                    "id": "#main/step5-rdf-upload"
                },
                {
                    "run": "#execute-sparql-mapping-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step6-insert-metadata/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step6-insert-metadata/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_insert_metadata_path",
                            "id": "#main/step6-insert-metadata/sparql_queries_path"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step6-insert-metadata/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step6-insert-metadata/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step6-insert-metadata/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step6-insert-metadata/execute_sparql_query_logs"
                    ],
                    "id": "#main/step6-insert-metadata"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step700-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step700-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step700-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step700-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_0",
                            "id": "#main/step700-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_0",
                            "id": "#main/step700-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_0",
                            "id": "#main/step700-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step700-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step700-split/execute_split_logs"
                    ],
                    "id": "#main/step700-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step701-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step701-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step701-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step701-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_1",
                            "id": "#main/step701-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_1",
                            "id": "#main/step701-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_1",
                            "id": "#main/step701-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step701-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step701-split/execute_split_logs"
                    ],
                    "id": "#main/step701-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step702-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step702-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step702-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step702-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_2",
                            "id": "#main/step702-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_2",
                            "id": "#main/step702-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_2",
                            "id": "#main/step702-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step702-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step702-split/execute_split_logs"
                    ],
                    "id": "#main/step702-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step703-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step703-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step703-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step703-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_3",
                            "id": "#main/step703-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_3",
                            "id": "#main/step703-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_3",
                            "id": "#main/step703-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step703-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step703-split/execute_split_logs"
                    ],
                    "id": "#main/step703-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step704-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step704-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step704-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step704-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_4",
                            "id": "#main/step704-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_4",
                            "id": "#main/step704-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_4",
                            "id": "#main/step704-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step704-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step704-split/execute_split_logs"
                    ],
                    "id": "#main/step704-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step705-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step705-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step705-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step705-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_5",
                            "id": "#main/step705-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_5",
                            "id": "#main/step705-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_5",
                            "id": "#main/step705-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step705-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step705-split/execute_split_logs"
                    ],
                    "id": "#main/step705-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step706-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step706-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step706-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step706-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_6",
                            "id": "#main/step706-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_6",
                            "id": "#main/step706-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_6",
                            "id": "#main/step706-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step706-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step706-split/execute_split_logs"
                    ],
                    "id": "#main/step706-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step707-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step707-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step707-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step707-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_7",
                            "id": "#main/step707-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_7",
                            "id": "#main/step707-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_7",
                            "id": "#main/step707-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step707-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step707-split/execute_split_logs"
                    ],
                    "id": "#main/step707-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step708-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step708-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step708-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step708-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_8",
                            "id": "#main/step708-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_8",
                            "id": "#main/step708-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_8",
                            "id": "#main/step708-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step708-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step708-split/execute_split_logs"
                    ],
                    "id": "#main/step708-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step709-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step709-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step709-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step709-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_9",
                            "id": "#main/step709-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_9",
                            "id": "#main/step709-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_9",
                            "id": "#main/step709-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step709-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step709-split/execute_split_logs"
                    ],
                    "id": "#main/step709-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step710-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step710-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step710-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step710-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_10",
                            "id": "#main/step710-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_10",
                            "id": "#main/step710-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_10",
                            "id": "#main/step710-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step710-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step710-split/execute_split_logs"
                    ],
                    "id": "#main/step710-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step711-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step711-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step711-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step711-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_11",
                            "id": "#main/step711-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_11",
                            "id": "#main/step711-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_11",
                            "id": "#main/step711-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step711-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step711-split/execute_split_logs"
                    ],
                    "id": "#main/step711-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step712-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step712-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step712-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step712-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_12",
                            "id": "#main/step712-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_12",
                            "id": "#main/step712-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_12",
                            "id": "#main/step712-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step712-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step712-split/execute_split_logs"
                    ],
                    "id": "#main/step712-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step713-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step713-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step713-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step713-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_13",
                            "id": "#main/step713-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_13",
                            "id": "#main/step713-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_13",
                            "id": "#main/step713-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step713-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step713-split/execute_split_logs"
                    ],
                    "id": "#main/step713-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step714-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step714-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step714-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step714-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_14",
                            "id": "#main/step714-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_14",
                            "id": "#main/step714-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_14",
                            "id": "#main/step714-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step714-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step714-split/execute_split_logs"
                    ],
                    "id": "#main/step714-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step715-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step715-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step715-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step715-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_15",
                            "id": "#main/step715-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_15",
                            "id": "#main/step715-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_15",
                            "id": "#main/step715-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step715-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step715-split/execute_split_logs"
                    ],
                    "id": "#main/step715-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step716-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step716-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step716-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step716-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_16",
                            "id": "#main/step716-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_16",
                            "id": "#main/step716-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_16",
                            "id": "#main/step716-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step716-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step716-split/execute_split_logs"
                    ],
                    "id": "#main/step716-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step717-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step717-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step717-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step717-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_17",
                            "id": "#main/step717-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_17",
                            "id": "#main/step717-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_17",
                            "id": "#main/step717-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step717-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step717-split/execute_split_logs"
                    ],
                    "id": "#main/step717-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step718-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step718-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step718-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step718-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_18",
                            "id": "#main/step718-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_18",
                            "id": "#main/step718-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_18",
                            "id": "#main/step718-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step718-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step718-split/execute_split_logs"
                    ],
                    "id": "#main/step718-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step719-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step719-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step719-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step719-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_19",
                            "id": "#main/step719-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_19",
                            "id": "#main/step719-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_19",
                            "id": "#main/step719-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step719-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step719-split/execute_split_logs"
                    ],
                    "id": "#main/step719-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step720-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step720-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step720-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step720-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_20",
                            "id": "#main/step720-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_20",
                            "id": "#main/step720-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_20",
                            "id": "#main/step720-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step720-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step720-split/execute_split_logs"
                    ],
                    "id": "#main/step720-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step721-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step721-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step721-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step721-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_21",
                            "id": "#main/step721-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_21",
                            "id": "#main/step721-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_21",
                            "id": "#main/step721-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step721-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step721-split/execute_split_logs"
                    ],
                    "id": "#main/step721-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step722-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step722-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step722-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step722-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_22",
                            "id": "#main/step722-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_22",
                            "id": "#main/step722-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_22",
                            "id": "#main/step722-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step722-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step722-split/execute_split_logs"
                    ],
                    "id": "#main/step722-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step723-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step723-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step723-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step723-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_23",
                            "id": "#main/step723-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_23",
                            "id": "#main/step723-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_23",
                            "id": "#main/step723-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step723-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step723-split/execute_split_logs"
                    ],
                    "id": "#main/step723-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step724-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step724-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step724-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step724-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_24",
                            "id": "#main/step724-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_24",
                            "id": "#main/step724-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_24",
                            "id": "#main/step724-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step724-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step724-split/execute_split_logs"
                    ],
                    "id": "#main/step724-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step725-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step725-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step725-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step725-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_25",
                            "id": "#main/step725-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_25",
                            "id": "#main/step725-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_25",
                            "id": "#main/step725-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step725-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step725-split/execute_split_logs"
                    ],
                    "id": "#main/step725-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step726-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step726-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step726-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step726-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_26",
                            "id": "#main/step726-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_26",
                            "id": "#main/step726-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_26",
                            "id": "#main/step726-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step726-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step726-split/execute_split_logs"
                    ],
                    "id": "#main/step726-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step727-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step727-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step727-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step727-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_27",
                            "id": "#main/step727-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_27",
                            "id": "#main/step727-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_27",
                            "id": "#main/step727-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step727-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step727-split/execute_split_logs"
                    ],
                    "id": "#main/step727-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step728-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step728-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step728-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step728-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_28",
                            "id": "#main/step728-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_28",
                            "id": "#main/step728-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_28",
                            "id": "#main/step728-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step728-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step728-split/execute_split_logs"
                    ],
                    "id": "#main/step728-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step729-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step729-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step729-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step729-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_29",
                            "id": "#main/step729-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_29",
                            "id": "#main/step729-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_29",
                            "id": "#main/step729-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step729-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step729-split/execute_split_logs"
                    ],
                    "id": "#main/step729-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step730-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step730-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step730-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step730-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_30",
                            "id": "#main/step730-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_30",
                            "id": "#main/step730-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_30",
                            "id": "#main/step730-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step730-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step730-split/execute_split_logs"
                    ],
                    "id": "#main/step730-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step731-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step731-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step731-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step731-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_31",
                            "id": "#main/step731-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_31",
                            "id": "#main/step731-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_31",
                            "id": "#main/step731-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step731-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step731-split/execute_split_logs"
                    ],
                    "id": "#main/step731-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step732-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step732-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step732-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step732-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_32",
                            "id": "#main/step732-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_32",
                            "id": "#main/step732-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_32",
                            "id": "#main/step732-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step732-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step732-split/execute_split_logs"
                    ],
                    "id": "#main/step732-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step733-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step733-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step733-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step733-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_33",
                            "id": "#main/step733-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_33",
                            "id": "#main/step733-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_33",
                            "id": "#main/step733-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step733-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step733-split/execute_split_logs"
                    ],
                    "id": "#main/step733-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step734-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step734-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step734-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step734-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_34",
                            "id": "#main/step734-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_34",
                            "id": "#main/step734-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_34",
                            "id": "#main/step734-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step734-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step734-split/execute_split_logs"
                    ],
                    "id": "#main/step734-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step735-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step735-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step735-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step735-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_35",
                            "id": "#main/step735-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_35",
                            "id": "#main/step735-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_35",
                            "id": "#main/step735-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step735-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step735-split/execute_split_logs"
                    ],
                    "id": "#main/step735-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step736-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step736-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step736-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step736-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_36",
                            "id": "#main/step736-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_36",
                            "id": "#main/step736-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_36",
                            "id": "#main/step736-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step736-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step736-split/execute_split_logs"
                    ],
                    "id": "#main/step736-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step737-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step737-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step737-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step737-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_37",
                            "id": "#main/step737-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_37",
                            "id": "#main/step737-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_37",
                            "id": "#main/step737-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step737-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step737-split/execute_split_logs"
                    ],
                    "id": "#main/step737-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step738-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step738-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step738-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step738-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_38",
                            "id": "#main/step738-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_38",
                            "id": "#main/step738-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_38",
                            "id": "#main/step738-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step738-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step738-split/execute_split_logs"
                    ],
                    "id": "#main/step738-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step739-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step739-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step739-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step739-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_39",
                            "id": "#main/step739-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_39",
                            "id": "#main/step739-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_39",
                            "id": "#main/step739-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step739-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step739-split/execute_split_logs"
                    ],
                    "id": "#main/step739-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step740-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step740-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step740-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step740-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_40",
                            "id": "#main/step740-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_40",
                            "id": "#main/step740-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_40",
                            "id": "#main/step740-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step740-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step740-split/execute_split_logs"
                    ],
                    "id": "#main/step740-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step741-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step741-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step741-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step741-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_41",
                            "id": "#main/step741-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_41",
                            "id": "#main/step741-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_41",
                            "id": "#main/step741-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step741-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step741-split/execute_split_logs"
                    ],
                    "id": "#main/step741-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step742-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step742-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step742-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step742-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_42",
                            "id": "#main/step742-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_42",
                            "id": "#main/step742-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_42",
                            "id": "#main/step742-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step742-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step742-split/execute_split_logs"
                    ],
                    "id": "#main/step742-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step743-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step743-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step743-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step743-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_43",
                            "id": "#main/step743-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_43",
                            "id": "#main/step743-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_43",
                            "id": "#main/step743-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step743-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step743-split/execute_split_logs"
                    ],
                    "id": "#main/step743-split"
                },
                {
                    "run": "#run-split-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step744-split/dataset"
                        },
                        {
                            "source": "#main/step5-rdf-upload/rdf_upload_logs",
                            "id": "#main/step744-split/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step744-split/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step744-split/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/split_class_44",
                            "id": "#main/step744-split/split_class"
                        },
                        {
                            "source": "#main/split_delimiter_44",
                            "id": "#main/step744-split/split_delimiter"
                        },
                        {
                            "source": "#main/split_property_44",
                            "id": "#main/step744-split/split_property"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step744-split/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step744-split/execute_split_logs"
                    ],
                    "id": "#main/step744-split"
                },
                {
                    "run": "#execute-sparql-mapping-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step8-execute-transform-queries/dataset"
                        },
                        {
                            "source": "#main/step700-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_0"
                        },
                        {
                            "source": "#main/step701-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_1"
                        },
                        {
                            "source": "#main/step710-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_10"
                        },
                        {
                            "source": "#main/step711-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_11"
                        },
                        {
                            "source": "#main/step712-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_12"
                        },
                        {
                            "source": "#main/step713-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_13"
                        },
                        {
                            "source": "#main/step714-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_14"
                        },
                        {
                            "source": "#main/step715-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_15"
                        },
                        {
                            "source": "#main/step716-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_16"
                        },
                        {
                            "source": "#main/step717-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_17"
                        },
                        {
                            "source": "#main/step718-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_18"
                        },
                        {
                            "source": "#main/step719-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_19"
                        },
                        {
                            "source": "#main/step702-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_2"
                        },
                        {
                            "source": "#main/step720-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_20"
                        },
                        {
                            "source": "#main/step721-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_21"
                        },
                        {
                            "source": "#main/step722-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_22"
                        },
                        {
                            "source": "#main/step723-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_23"
                        },
                        {
                            "source": "#main/step724-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_24"
                        },
                        {
                            "source": "#main/step725-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_25"
                        },
                        {
                            "source": "#main/step726-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_26"
                        },
                        {
                            "source": "#main/step727-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_27"
                        },
                        {
                            "source": "#main/step728-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_28"
                        },
                        {
                            "source": "#main/step729-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_29"
                        },
                        {
                            "source": "#main/step703-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_3"
                        },
                        {
                            "source": "#main/step730-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_30"
                        },
                        {
                            "source": "#main/step731-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_31"
                        },
                        {
                            "source": "#main/step732-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_32"
                        },
                        {
                            "source": "#main/step733-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_33"
                        },
                        {
                            "source": "#main/step734-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_34"
                        },
                        {
                            "source": "#main/step735-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_35"
                        },
                        {
                            "source": "#main/step736-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_36"
                        },
                        {
                            "source": "#main/step737-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_37"
                        },
                        {
                            "source": "#main/step738-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_38"
                        },
                        {
                            "source": "#main/step739-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_39"
                        },
                        {
                            "source": "#main/step704-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_4"
                        },
                        {
                            "source": "#main/step740-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_40"
                        },
                        {
                            "source": "#main/step741-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_41"
                        },
                        {
                            "source": "#main/step742-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_42"
                        },
                        {
                            "source": "#main/step743-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_43"
                        },
                        {
                            "source": "#main/step744-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_44"
                        },
                        {
                            "source": "#main/step705-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_5"
                        },
                        {
                            "source": "#main/step706-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_6"
                        },
                        {
                            "source": "#main/step707-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_7"
                        },
                        {
                            "source": "#main/step708-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_8"
                        },
                        {
                            "source": "#main/step709-split/execute_split_logs",
                            "id": "#main/step8-execute-transform-queries/previous_step_results_9"
                        },
                        {
                            "source": "#main/sparql_transform_queries_path",
                            "id": "#main/step8-execute-transform-queries/sparql_queries_path"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step8-execute-transform-queries/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step8-execute-transform-queries/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step8-execute-transform-queries/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step8-execute-transform-queries/execute_sparql_query_logs"
                    ],
                    "id": "#main/step8-execute-transform-queries"
                },
                {
                    "run": "#execute-sparql-mapping-graphdb.cwl",
                    "in": [
                        {
                            "source": "#main/dataset",
                            "id": "#main/step9-compute-hcls-stats/dataset"
                        },
                        {
                            "source": "#main/step8-execute-transform-queries/execute_sparql_query_logs",
                            "id": "#main/step9-compute-hcls-stats/previous_step_results"
                        },
                        {
                            "source": "#main/sparql_input_graph_uri",
                            "id": "#main/step9-compute-hcls-stats/sparql_input_graph_uri"
                        },
                        {
                            "source": "#main/sparql_compute_hcls_path",
                            "id": "#main/step9-compute-hcls-stats/sparql_queries_path"
                        },
                        {
                            "source": "#main/sparql_triplestore_repository",
                            "id": "#main/step9-compute-hcls-stats/sparql_triplestore_repository"
                        },
                        {
                            "source": "#main/sparql_triplestore_url",
                            "id": "#main/step9-compute-hcls-stats/sparql_triplestore_url"
                        },
                        {
                            "source": "#main/working_directory",
                            "id": "#main/step9-compute-hcls-stats/working_directory"
                        }
                    ],
                    "out": [
                        "#main/step9-compute-hcls-stats/execute_sparql_query_logs"
                    ],
                    "id": "#main/step9-compute-hcls-stats"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
